import 'package:http/http.dart' as http;
import 'package:unit2/utils/request.dart';
import 'package:unit2/utils/urls.dart';

class MemorandaServices {
  static final MemorandaServices _instance = MemorandaServices();
  static MemorandaServices get instance => _instance;

  String xClientKey = "unitK3CQaXiWlPReDsBzmmwBZPd9Re1z";
  String xClientKeySecret = "unitcYqAN7GGalyz";

  Future<http.Response> fetch() async {
    String path = Url.instance.getMemoranda();
    Map<String, String> headers = {
      'Content-Type': 'application/json; charset=UTF-8',
      'X-Client-Key': xClientKey,
      'X-Client-Secret': xClientKeySecret
    };

    http.Response response = await Request.instance
        .getRequest(param: {}, path: path, headers: headers);
    return response;
  }
}
